# Update number order registration Updates the registration (vehicle for KYC info) for a specific number order. Validated against the country requirements revealed by the "Lookup number requirements" endpoints. You can follow a detailed tutorial outlining the entire ordering process here. Endpoint: PUT /v1/projects/{projectId}/numberOrders/{numberOrderId}/registration Version: 1.0.3 Security: Basic, OAuth2.0 ## Path parameters: - `projectId` (string, required) Found on your Sinch Customer Dashboard. Settings > Projects. Example: "YOUR_projectId" - `numberOrderId` (string, required) The ID of the number order created by the REST API user. ## Request fields (application/json): - `data` (object) Free-form JSON object representing registration data. ## Response 200 fields (application/json): - `data` (object) Free-form JSON object representing registration data. - `attachments` (array) - `attachments.attachmentId` (string) - `attachments.fileName` (string) - `attachments.mimeType` (string) - `attachments.createTime` (string) Timestamp string (RFC3339). - `attachments.updateTime` (string) Timestamp string (RFC3339). - `attachments.uploadStatus` (any) The attachment upload status. It will be either COMPLETED, WAITING or FAILED. Enum: "COMPLETED", "WAITING", "FAILED" - `attachments.documentType` (string) ## Response 400 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 400 - `error.message` (string) - `error.status` (string) Enum: "INVALID_ARGUMENT" - `error.details` (array) - `error.details.type` (string) Enum: "BadRequest" - `error.details.fieldViolations` (array) - `error.details.fieldViolations.field` (string) - `error.details.fieldViolations.description` (string) ## Response 404 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 404 - `error.message` (string) - `error.status` (string) Enum: "NOT_FOUND" - `error.details` (array) - `error.details.type` (string) - `error.details.resourceType` (string) The type of the resource that was not found. - `error.details.resourceName` (string) The name of the resource that was not found. - `error.details.owner` (string) The owner of the resource that was not found. - `error.details.description` (string) A description of the error. ## Response 500 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 500 - `error.message` (string) - `error.status` (string) Enum: "INTERNAL", "UNKNOWN" - `error.details` (array)